%% THIS SCRIPT REPLICATES Table C.2 in the Appendix 
%% IN DOH AND SMITH (2021) "A NEW APPROACH TO INTEGRATING EXPECTATIONS INTO VAR MODELS"

%% Panel A: 1-period Ahead Forward Guidance Allowing For Policy Reaction to FG Shock
display(' ')
display('Panel A: 1-period Ahead Forward Guidance Allowing For Policy Reaction to FG Shock')
display(' ')
SVAR_MC_NoFS_weights

%% Panel B: 4-period Ahead Forward Guidance Allowing For Policy Reaction to FG Shock
display(' ')
display('Panel B: 4-period Ahead Forward Guidance Allowing For Policy Reaction to FG Shock')
display(' ')
SVAR_MC_NoFS_4period_weights

%% Panel C: Noisy Survey Forecast But Perfect Forecast Consistency for FG Shocks
display(' ')
display('Panel C: Noisy Survey Forecast But Perfect Forecast Consistency for FG Shocks')
display(' ')
SVAR_MC_FGFC_weights