function [q1trans,q2trans,q3trans,q4trans] = get_unscaledparams(input_params);

% Scale parameters in (a,b)
% Makes numerical optimization easier

a = -1;
b =  1;
c = 0.1;

q1trans		  = a + (exp(c*input_params(1))/(1+exp(c*input_params(1))))*(b-a);
q2trans		  = a + (exp(c*input_params(2))/(1+exp(c*input_params(2))))*(b-a);
q3trans		  = a + (exp(c*input_params(3))/(1+exp(c*input_params(3))))*(b-a);
q4trans		  = a + (exp(c*input_params(4))/(1+exp(c*input_params(4))))*(b-a);