% Analyze the posterior output 

% Load output 
sfile =['trend_estimate.mat']; 
load(sfile); 
% save(sfile,'ssgc','ssgd','ssinf','ssrr','ssy10','sspd','date'); 

[n1,n2]=size(ssgc); 
yy = zeros(n1,6*n2); 
corryy = zeros(6,6,n2); 
for jj=1:n2
    yy(:,6*jj-5:6*jj) =[ssgc(:,jj) ssgd(:,jj) ssinf(:,jj) ssrr(:,jj) ssy10(:,jj) sspd(:,jj)];
    corryy(:,:,jj) = corr(yy(:,6*jj-5:6*jj)); 
end 

figure;
subplot(3,2,1); hist(squeeze(corryy(1,2,:))); 
subplot(3,2,2); hist(squeeze(corryy(1,3,:))); 
subplot(3,2,3); hist(squeeze(corryy(1,4,:)));
subplot(3,2,4); hist(squeeze(corryy(1,5,:))); 
subplot(3,2,5); hist(squeeze(corryy(1,6,:))); 
subplot(3,2,6); hist(squeeze(corryy(2,3,:)));
figure; 
subplot(3,2,1); hist(squeeze(corryy(2,3,:))); 
subplot(3,2,2); hist(squeeze(corryy(2,4,:))); 
subplot(3,2,3); hist(squeeze(corryy(2,5,:)));
subplot(3,2,4); hist(squeeze(corryy(2,6,:))); 
subplot(3,2,5); hist(squeeze(corryy(3,4,:))); 
subplot(3,2,6); hist(squeeze(corryy(3,5,:)));
figure; 
subplot(3,2,1); hist(squeeze(corryy(3,6,:))); 
subplot(3,2,2); hist(squeeze(corryy(4,5,:))); 
subplot(3,2,3); hist(squeeze(corryy(4,6,:)));
subplot(3,2,4); hist(squeeze(corryy(5,6,:))); 

