

function [dist, pbar] = dist_exp(xx,datasim,mom)


% input 
% para   : Lagrange multipliers 
% datasim: vector of forecasts from the model
% mom    : sample moments to be matched 

[NM1 , NM2] =size(datasim);
 

if NM2 == 1 
distance1 = datasim(:,1)'-mom(1)*ones(1,NM1)/100;
distance2 = distance1.^2-mom(2)*ones(1,NM1)/10000; 
distance = [distance1;distance2]; 
pbar = exp(xx'*distance)/sum(exp(xx'*distance)); 
dist= sum(exp(xx'*distance)); 
elseif NM2 == 2 
distance1 = datasim(:,1)'-mom(1)*ones(1,NM1)/100;
distance3 = datasim(:,2)'-mom(3)*ones(1,NM1)/100;   
distance2 = distance1.^2 - mom(2)*ones(1,NM1)/10000; 
distance4 = distance3.^2 - mom(4)*ones(1,NM1)/10000; 
distance = [distance1;distance2;distance3;distance4]; 
%distance =[distance1;distance3]; 
pbar = exp(xx'*distance)/sum(exp(xx'*distance)); 
dist = sum(exp(xx'*distance)); 
end 
