function [output_params] = get_scaledparams(q1estimate,q2estimate,q3estimate,q4estimate);

% Scale parameters in (a,b)
% Makes numerical optimization easier

a = -1;
b =  1;
c = 0.1;

output_params(1,1)  = (1/c)*log((q1estimate-a)/(b-q1estimate));
output_params(2,1)  = (1/c)*log((q2estimate-a)/(b-q2estimate));
output_params(3,1)  = (1/c)*log((q3estimate-a)/(b-q3estimate));
output_params(4,1)  = (1/c)*log((q4estimate-a)/(b-q4estimate));