%  This file generates the plot of the sum of coeeficients on
%  lagged variables in each equation of the VAR.

% VAR, Core PCE Inflation
clear
NG = 2000; 
N = 3; 
L = 2; 
% selection vectors 
spi = [0 0 1 ];
su =  [0 1 0 ];
sy =  [1 0 0 ];
% catalog of data files
DFILE(1,:) = ['\pce\newcore2\output\var101'];
DFILE(2,:) = ['\pce\newcore2\output\var102'];
DFILE(3,:) = ['\pce\newcore2\output\var103'];
DFILE(4,:) = ['\pce\newcore2\output\var104'];
DFILE(5,:) = ['\pce\newcore2\output\var105'];
DFILE(6,:) = ['\pce\newcore2\output\var106'];
DFILE(7,:) = ['\pce\newcore2\output\var107'];
DFILE(8,:) = ['\pce\newcore2\output\var108'];
DFILE(9,:) = ['\pce\newcore2\output\var109'];
DFILE(10,:) = ['\pce\newcore2\output\var110'];
DFILE(11,:) = ['\pce\newcore2\output\var111'];
DFILE(12,:) = ['\pce\newcore2\output\var112'];
DFILE(13,:) = ['\pce\newcore2\output\var113'];
DFILE(14,:) = ['\pce\newcore2\output\var114'];
DFILE(15,:) = ['\pce\newcore2\output\var115'];
DFILE(16,:) = ['\pce\newcore2\output\var116'];
DFILE(17,:) = ['\pce\newcore2\output\var117'];
DFILE(18,:) = ['\pce\newcore2\output\var118'];
DFILE(19,:) = ['\pce\newcore2\output\var119'];
DFILE(20,:) = ['\pce\newcore2\output\var120'];
DFILE(21,:) = ['\pce\newcore2\output\var121'];
DFILE(22,:) = ['\pce\newcore2\output\var122'];
DFILE(23,:) = ['\pce\newcore2\output\var123'];
DFILE(24,:) = ['\pce\newcore2\output\var124'];
DFILE(25,:) = ['\pce\newcore2\output\var125'];
DFILE(26,:) = ['\pce\newcore2\output\var126'];
DFILE(27,:) = ['\pce\newcore2\output\var127'];
DFILE(28,:) = ['\pce\newcore2\output\var128'];
DFILE(29,:) = ['\pce\newcore2\output\var129'];
DFILE(30,:) = ['\pce\newcore2\output\var130'];
DFILE(31,:) = ['\pce\newcore2\output\var131'];
DFILE(32,:) = ['\pce\newcore2\output\var132'];
DFILE(33,:) = ['\pce\newcore2\output\var133'];
DFILE(34,:) = ['\pce\newcore2\output\var134'];
DFILE(35,:) = ['\pce\newcore2\output\var135'];
DFILE(36,:) = ['\pce\newcore2\output\var136'];
DFILE(37,:) = ['\pce\newcore2\output\var137'];
DFILE(38,:) = ['\pce\newcore2\output\var138'];
DFILE(39,:) = ['\pce\newcore2\output\var139'];
DFILE(40,:) = ['\pce\newcore2\output\var140'];
DFILE(41,:) = ['\pce\newcore2\output\var141'];
DFILE(42,:) = ['\pce\newcore2\output\var142'];
DFILE(43,:) = ['\pce\newcore2\output\var143'];
DFILE(44,:) = ['\pce\newcore2\output\var144'];
DFILE(45,:) = ['\pce\newcore2\output\var145'];
DFILE(46,:) = ['\pce\newcore2\output\var146'];
DFILE(47,:) = ['\pce\newcore2\output\var147'];
DFILE(48,:) = ['\pce\newcore2\output\var148'];
DFILE(49,:) = ['\pce\newcore2\output\var149'];
DFILE(50,:) = ['\pce\newcore2\output\var150'];

NF = size(DFILE,1);

% load SA
NB = 25;
load(DFILE(NB+1,:),'SD')
[NK,T,P] = size(SD);
SA = zeros(NK,T,(NF-NB)*P);
SA(:,:,1:P) = SD;
clear SD
for i = NB+2:NF,
    j = i - NB; 
    load(DFILE(i,:),'SD')
    SA(:,:,(j-1)*P+1:j*P) = SD;
    clear SD
end
[NK,T,NMC] = size(SA);

% save sum of lagged unem coefficients in matrix
unmcoef1 = zeros(1,T,NMC);
infcoef1 = zeros(1,T,NMC);
bydcoef1 = zeros(1,T,NMC);
for j=1:T
	for k=1:NMC
   unmcoef1(1,j,k)=SA(4,j,k)+SA(5,j,k);
   infcoef1(1,j,k)=SA(6,j,k)+SA(7,j,k);
   bydcoef1(1,j,k)=SA(2,j,k)+SA(3,j,k);
   truncof1(1,j,k)=unmcoef1(1,j,k)/(1-bydcoef1(1,j,k));
   trincof1(1,j,k)=infcoef1(1,j,k)/(1-bydcoef1(1,j,k));
  end
end

for j=1:T
	smunmcoef1(1,j) = median(unmcoef1(1,j,:));
	sminfcoef1(1,j) = median(infcoef1(1,j,:));
  smbydcoef1(1,j) = median(bydcoef1(1,j,:));
end

sunmcoef1 = sort(unmcoef1,3);
IQR = [sunmcoef1(1,:,.15*NMC);sunmcoef1(1,:,.5*NMC);sunmcoef1(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(1);
plot(date(:),(IQR(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(smunmcoef1),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR(3,:)),'--k','LineWidth',1); hold on;
title('Sum of Coefficients on Lagged Unemployment in Bond Yield Equation','Fontsize',14)
axis([1960 2011 -0.5 0.3])
set(gca,'Fontsize',14)

print(figure(1),'-dpdf','figure1.pdf')


sinfcoef1 = sort(infcoef1,3);
IQR2 = [sinfcoef1(1,:,.15*NMC);sinfcoef1(1,:,.5*NMC);sinfcoef1(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(2);
plot(date(:),(IQR2(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(sminfcoef1),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR2(3,:)),'--k','LineWidth',1); hold on;
title('Sum of Coefficients on Lagged Inflation in Bond Yield Equation','Fontsize',14)
axis([1960 2011 0 0.5])
set(gca,'Fontsize',14)

print(figure(2),'-dpdf','figure2.pdf')



struncof1 = sort(truncof1,3);
IQR3 = [struncof1(1,:,.15*NMC);struncof1(1,:,.5*NMC);struncof1(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(20);
plot(date(:),(IQR3(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR3(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR3(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Unemployment in Bond Yield Equation','Fontsize',14)
axis([1960 2011 -3 1.5])
set(gca,'Fontsize',14)

print(figure(20),'-dpdf','figure20.pdf')


strincof1 = sort(trincof1,3);
IQR4 = [strincof1(1,:,.15*NMC);strincof1(1,:,.5*NMC);strincof1(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(21);
plot(date(:),(IQR4(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR4(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR4(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Inflation in Bond Yield Equation','Fontsize',14)
axis([1960 2011 0 5])
set(gca,'Fontsize',14)

print(figure(21),'-dpdf','figure21.pdf')





unmcoef2 = zeros(1,T,NMC);
infcoef2 = zeros(1,T,NMC);
bydcoef2 = zeros(1,T,NMC);
for j=1:T
	for k=1:NMC
   unmcoef2(1,j,k)=SA(11,j,k)+SA(12,j,k);
   infcoef2(1,j,k)=SA(13,j,k)+SA(14,j,k);
   bydcoef2(1,j,k)=SA(9,j,k)+SA(10,j,k);
   trbdcof2(1,j,k)=bydcoef2(1,j,k)/(1-unmcoef2(1,j,k));
   trincof2(1,j,k)=infcoef2(1,j,k)/(1-unmcoef2(1,j,k));
  end
end


strbdcof2 = sort(trbdcof2,3);
IQR5 = [strbdcof2(1,:,.15*NMC);strbdcof2(1,:,.5*NMC);strbdcof2(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(22);
plot(date(:),(IQR5(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR5(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR5(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Bond Yield in Unemployment Equation','Fontsize',14)
axis([1960 2011 0.5 2])
set(gca,'Fontsize',14)

print(figure(22),'-dpdf','figure22.pdf')


strincof2 = sort(trincof2,3);
IQR6 = [strincof2(1,:,.15*NMC);strincof2(1,:,.5*NMC);strincof2(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(23);
plot(date(:),(IQR6(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR6(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR6(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Inflation in Unemployment Equation','Fontsize',14)
axis([1960 2011 -1 0])
set(gca,'Fontsize',14)

print(figure(23),'-dpdf','figure23.pdf')

                                                   
                                                   
                                                   
unmcoef3 = zeros(1,T,NMC);
infcoef3 = zeros(1,T,NMC);
bydcoef3 = zeros(1,T,NMC);
for j=1:T
	for k=1:NMC
   unmcoef3(1,j,k)=SA(18,j,k)+SA(19,j,k);
   infcoef3(1,j,k)=SA(20,j,k)+SA(21,j,k);
   bydcoef3(1,j,k)=SA(16,j,k)+SA(17,j,k);
   truncof3(1,j,k)=unmcoef3(1,j,k)/(1-infcoef3(1,j,k));
   trbdcof3(1,j,k)=bydcoef3(1,j,k)/(1-infcoef3(1,j,k));
  end
end


strbdcof3 = sort(trbdcof3,3);
IQR7 = [strbdcof3(1,:,.15*NMC);strbdcof3(1,:,.5*NMC);strbdcof3(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(24);
plot(date(:),(IQR7(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR7(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR7(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Bond Yield in Inflation Equation','Fontsize',14)
axis([1960 2011 -4 2])
set(gca,'Fontsize',14)

print(figure(24),'-dpdf','figure24.pdf')


struncof3 = sort(truncof3,3);
IQR8 = [struncof3(1,:,.15*NMC);struncof3(1,:,.5*NMC);struncof3(1,:,.85*NMC)];
date = 1960 + [0:1:T-1]'/4;

figure(25);
plot(date(:),(IQR8(1,:)),'--k','LineWidth',1); hold on;
plot(date(:),(IQR8(2,:)),'-k','LineWidth',1); hold on; 
plot(date(:),(IQR8(3,:)),'--k','LineWidth',1); hold on;
title('Long-Run Sum of Coefficients on Lagged Unemployment in Inflation Equation','Fontsize',14)
axis([1960 2011 -2 4])
set(gca,'Fontsize',14)

print(figure(25),'-dpdf','figure25.pdf')

                                                   
                                                   
                                                   
                                                   